package org.example.wedding_app_backend.wedding.entity;

import jakarta.persistence.*;
import lombok.*;
import org.example.wedding_app_backend.weddingImage.entity.WeddingImageEntity;
import org.example.wedding_app_backend.weddingQuiz.entity.WeddingQuizEntity;
import org.example.wedding_app_backend.whoKnowsBetterQuiz.model.WhoKnowsBetterQuiz;

import java.time.LocalDateTime;
import java.util.List;
import java.util.UUID;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@ToString
@EqualsAndHashCode
@Entity
@Table(name = "weddings")
public class WeddingEntity {

    @Id
    private UUID id;

    private UUID userId;

    private String name;

    private LocalDateTime eventStartDateTime;

    @ToString.Exclude
    @Lob
    @Basic(fetch = FetchType.LAZY)
    @EqualsAndHashCode.Exclude
    private byte[] backgroundImage;

    @OneToMany(mappedBy = "wedding", cascade = CascadeType.REMOVE, fetch = FetchType.LAZY)
    @ToString.Exclude
    @EqualsAndHashCode.Exclude
    private List<WeddingImageEntity> images;

    @OneToMany(mappedBy = "wedding", cascade = CascadeType.REMOVE, fetch = FetchType.LAZY)
    @ToString.Exclude
    @EqualsAndHashCode.Exclude
    private List<WeddingQuizEntity> questions;

    @OneToMany(mappedBy = "wedding", cascade = CascadeType.REMOVE, fetch = FetchType.LAZY)
    @ToString.Exclude
    @EqualsAndHashCode.Exclude
    private List<WhoKnowsBetterQuiz> whoKnowsBetterQuizQuestions;

}
