package org.example.wedding_app_backend.weddingConfirmationGroup.controller;

import lombok.RequiredArgsConstructor;
import lombok.extern.java.Log;
import org.example.wedding_app_backend.weddingConfirmationGroup.service.WeddingConfirmationGroupService;
import org.example.wedding_app_backend.weddingGuest.dto.GetWeddingGuestInformation;
import org.example.wedding_app_backend.weddingGuest.dto.GetWeddingGuestResponse;
import org.example.wedding_app_backend.weddingGuest.function.WeddingGuestMapper;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.UUID;

@RequestMapping("/api/weddings")
@RestController
@Log
@RequiredArgsConstructor
public class WeddingConfirmationGroupController {

    private final WeddingConfirmationGroupService weddingConfirmationGroupService;

    private final WeddingGuestMapper weddingGuestMapper;

    @GetMapping("{weddingId}/guests/{guestId}/group")
    public ResponseEntity<List<GetWeddingGuestInformation>> getWeddingConfirmationGroupGuests(
            @PathVariable("weddingId") UUID weddingId,
            @PathVariable("guestId") UUID guestId) {
        return weddingConfirmationGroupService.findWeddingConfirmationGroupGuestsByWeddingIdAndGuestId(weddingId, guestId)
                .map(weddingGuestMapper::guestsDataEntityToRepresentation)
                .map(ResponseEntity::ok)
                .orElse(ResponseEntity.notFound().build());
    }

}
