package org.example.wedding_app_backend.weddingConfirmationGroup.service;

import lombok.RequiredArgsConstructor;
import org.example.wedding_app_backend.weddingConfirmationGroup.entity.WeddingConfirmationGroupEntity;
import org.example.wedding_app_backend.weddingConfirmationGroup.repository.WeddingConfirmationGroupRepository;
import org.example.wedding_app_backend.weddingGuest.dto.GetWeddingGuestWithGroupInformation;
import org.example.wedding_app_backend.weddingGuest.entity.WeddingGuestEntity;
import org.example.wedding_app_backend.weddingGuest.repository.WeddingGuestRepository;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

@Service
@RequiredArgsConstructor
public class WeddingConfirmationGroupService {

    private final WeddingGuestRepository weddingGuestRepository;

    private final WeddingConfirmationGroupRepository weddingConfirmationGroupRepository;

    public void save(WeddingConfirmationGroupEntity group) {
        weddingConfirmationGroupRepository.save(group);
    }

    public Optional<List<WeddingGuestEntity>> findWeddingConfirmationGroupGuestsByWeddingIdAndGuestId(UUID weddingId, UUID guestId) {
        Optional<WeddingGuestEntity> weddingGuestEntity = weddingGuestRepository.findByWeddingIdAndId(weddingId, guestId);

        return weddingGuestEntity.map(guestEntity -> guestEntity.getWeddingConfirmationGroup().getGuestsGroup());

    }

    public Optional<WeddingConfirmationGroupEntity> findWeddingConfirmationGroupById(UUID groupId) {
        return weddingConfirmationGroupRepository.findById(groupId);
    }

}
