package org.example.wedding_app_backend.weddingGuest.function;

import org.example.wedding_app_backend.weddingGuest.dto.GetWeddingGuestWithGroupInformation;
import org.example.wedding_app_backend.weddingGuest.entity.WeddingGuestEntity;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.function.Function;

@Component
public class GetGuestInformationWithGroup implements Function<List<WeddingGuestEntity>, List<GetWeddingGuestWithGroupInformation>> {
    @Override
    public List<GetWeddingGuestWithGroupInformation> apply(List<WeddingGuestEntity> weddingGuestEntityList) {

        return weddingGuestEntityList.stream().map(guest -> GetWeddingGuestWithGroupInformation.builder()
                .id(guest.getId())
                .presenceConfirmed(guest.getPresenceConfirmed())
                .guestName(guest.getGuestName())
                .guestAge(guest.getGuestAge())
                .weddingConfirmationGroup(GetWeddingGuestWithGroupInformation.WeddingConfirmationGroup.builder()
                        .id(guest.getWeddingConfirmationGroup().getId())
                        .name(guest.getWeddingConfirmationGroup().getName())
                        .build())
                .build())
                .toList();
    }

}
