package org.example.wedding_app_backend.weddingGuest.repository;

import org.example.wedding_app_backend.weddingConfirmationGroup.entity.WeddingConfirmationGroupEntity;
import org.example.wedding_app_backend.weddingGuest.entity.WeddingGuestEntity;
import org.example.wedding_app_backend.weddingImage.entity.WeddingImageEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

@Repository
public interface WeddingGuestRepository
        extends JpaRepository<WeddingGuestEntity, UUID> {

    Optional<WeddingGuestEntity> findByWeddingIdAndId(UUID weddingId, UUID guestId);

    Optional<List<WeddingGuestEntity>> findAllByWeddingId(UUID weddingId);

    Optional<List<WeddingGuestEntity>> findAllByWeddingIdAndQuizFinishedTrue(UUID weddingId);

    @Query("SELECT i FROM WeddingGuestEntity i LEFT JOIN FETCH i.likedImages")
    List<WeddingGuestEntity> findAllWithLikedImages();

}
