package org.example.wedding_app_backend.weddingPresent.entity;

import jakarta.persistence.*;
import lombok.*;
import org.example.wedding_app_backend.wedding.entity.WeddingEntity;

import java.util.UUID;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@ToString
@EqualsAndHashCode
@Entity
@Table(name = "wedding_presents")
public class WeddingPresentEntity {

    @Id
    private UUID id;

    private String name;

    private String linkToPresent;

    private String description;

    private UUID reservedBy;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "wedding")
    private WeddingEntity wedding;

}
