package org.example.wedding_app_backend.weddingQuiz.repository;

import org.example.wedding_app_backend.weddingQuiz.entity.WeddingQuizEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.io.IOException;
import java.util.Optional;
import java.util.UUID;

@Repository
public interface WeddingQuizRepository
    extends JpaRepository<WeddingQuizEntity, UUID> {

    @Query(value = "SELECT * FROM wedding_quiz_questions WHERE wedding = :weddingId ORDER BY :guestSeed ASC LIMIT 1 OFFSET :guestIndex", nativeQuery = true)
    Optional<WeddingQuizEntity> findQuestionById(@Param("guestIndex") Integer guestIndex,
                                                 @Param("weddingId") UUID weddingId,
                                                 @Param("guestSeed") Integer guestSeed);

}
