package org.example.wedding_app_backend.weddingQuiz.service;

import jakarta.transaction.Transactional;
import lombok.RequiredArgsConstructor;
import org.example.wedding_app_backend.wedding.repository.WeddingRepository;
import org.example.wedding_app_backend.weddingGuest.entity.WeddingGuestEntity;
import org.example.wedding_app_backend.weddingGuest.repository.WeddingGuestRepository;
import org.example.wedding_app_backend.weddingQuiz.entity.WeddingQuizEntity;
import org.example.wedding_app_backend.weddingQuiz.repository.WeddingQuizRepository;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.List;
import java.util.NoSuchElementException;
import java.util.Optional;
import java.util.UUID;

@Service
@RequiredArgsConstructor
public class WeddingQuizService {

    private final WeddingQuizRepository weddingQuizRepository;

    public void save(WeddingQuizEntity weddingQuizEntity) {
        weddingQuizRepository.save(weddingQuizEntity);
    }

    @Transactional
    public Optional<WeddingQuizEntity> findQuestionByGuestId(WeddingGuestEntity guest,UUID weddingId) {
        return weddingQuizRepository.findQuestionById(guest.getQuestionIndex(),weddingId,guest.getQuizSeed());
    }


}
