package org.example.wedding_app_backend.whoKnowsBetterQuiz.repository;

import org.example.wedding_app_backend.wedding.entity.WeddingEntity;
import org.example.wedding_app_backend.whoKnowsBetterQuiz.model.WhoKnowsBetterQuiz;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

@Repository
public interface WhoKnowsBetterQuizRepository extends JpaRepository<WhoKnowsBetterQuiz, UUID> {

    List<WhoKnowsBetterQuiz> findAllByWedding(WeddingEntity wedding);

    @Query(value = "SELECT * FROM wedding_who_knows_better_quiz_scores WHERE wedding = :weddingId ORDER BY id ASC LIMIT 1 OFFSET :questionIndex", nativeQuery = true)
    Optional<WhoKnowsBetterQuiz> findByWeddingIdAndQuestionIndex(
            @Param("weddingId") UUID weddingId,
            @Param("questionIndex") Integer questionIndex
    );

    @Modifying(clearAutomatically = true)
    @Query(value = "UPDATE wedding_who_knows_better_quiz_scores q SET q.groom_score = q.groom_score + 1 WHERE q.wedding = :weddingId AND q.id = :questionId", nativeQuery = true)
    void updateGroomScore(
            @Param("weddingId") UUID weddingId,
            @Param("questionId") UUID questionId
    );

    @Modifying(clearAutomatically = true)
    @Query(value = "UPDATE wedding_who_knows_better_quiz_scores q SET q.bride_score = q.bride_score + 1 WHERE q.wedding = :weddingId AND q.id = :questionId", nativeQuery = true)
    void updateBrideScore(
            @Param("weddingId") UUID weddingId,
            @Param("questionId") UUID questionId
    );
}
