package org.example.wedding_app_backend.api.repository;

import org.example.wedding_app_backend.wedding.entity.WeddingEntity;
import org.example.wedding_app_backend.wedding.repository.WeddingRepository;
import org.example.wedding_app_backend.weddingGuest.entity.WeddingGuestEntity;
import org.example.wedding_app_backend.weddingGuest.repository.WeddingGuestRepository;
import org.example.wedding_app_backend.weddingImage.entity.WeddingImageEntity;
import org.example.wedding_app_backend.weddingImage.repository.WeddingImageRepository;
import org.example.wedding_app_backend.weddingQuiz.entity.WeddingQuizEntity;
import org.example.wedding_app_backend.weddingQuiz.repository.WeddingQuizRepository;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.jdbc.EmbeddedDatabaseConnection;
import org.springframework.boot.test.autoconfigure.jdbc.AutoConfigureTestDatabase;
import org.springframework.boot.test.autoconfigure.orm.jpa.DataJpaTest;
import org.springframework.data.domain.Sort;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Optional;
import java.util.UUID;

@DataJpaTest
@AutoConfigureTestDatabase(connection = EmbeddedDatabaseConnection.H2)
public class WeddingQuizRepositoryTests {

    @Autowired
    private WeddingRepository weddingRepository;

    @Autowired
    private WeddingQuizRepository weddingQuizRepository;

    @Autowired
    private WeddingGuestRepository weddingGuestRepository;

    @Test
    public void findQuestionById_ReturnsWeddingQuestion() {

        WeddingEntity weddingEntity = WeddingEntity.builder()
                .id(UUID.randomUUID())
                .name("test name")
                .build();
        weddingRepository.save(weddingEntity);

        WeddingQuizEntity quizEntity = WeddingQuizEntity.builder()
                .id(UUID.randomUUID())
                .wedding(weddingEntity)
                .build();
        weddingQuizRepository.save(quizEntity);

        WeddingGuestEntity guestEntity = WeddingGuestEntity.builder()
                .id(UUID.randomUUID())
                .questionIndex(0)
                .quizSeed(1)
                .wedding(weddingEntity)
                .build();
        weddingGuestRepository.save(guestEntity);

        Optional<WeddingQuizEntity> weddingQuizReturn = weddingQuizRepository.findQuestionById(guestEntity.getQuestionIndex(),weddingEntity.getId(),guestEntity.getQuizSeed());

        Assertions.assertNotNull(weddingQuizReturn);
    }

}

