import { Routes } from '@angular/router';
import {WeddingComponent} from './components/wedding/wedding.component';
import {GalleryComponent} from './components/gallery/gallery.component';
import {GamesListComponent} from './components/games-list/games-list.component';
import {QuizComponent} from './components/quiz/quiz.component';
import {HallOfFameComponent} from './components/hall-of-fame/hall-of-fame.component';
import {WhoKnowsBetterQuizComponent} from './components/who-knows-better-quiz/who-knows-better-quiz.component';
import {WhoKnowsBetterSummaryComponent} from './components/who-knows-better-summary/who-knows-better-summary.component';
import {GuestsComponent} from './components/guests/guests.component';
import {ConfirmationComponent} from './components/confirmation/confirmation.component';
import {PresentGuestComponent} from './components/present-guest/present-guest.component';


export const WEDDING_PAGE_ROUTES: Routes = [
  { path: ':weddingId/:guestId', component: WeddingComponent },
  { path: ':weddingId/:guestId/confirmation', component: ConfirmationComponent },
  { path: ':weddingId/:guestId/gallery', component: GalleryComponent },
  { path: ':weddingId/:guestId/games', component: GamesListComponent },
  { path: ':weddingId/:guestId/games/quiz', component: QuizComponent },
  { path: ':weddingId/:guestId/games/hall', component: HallOfFameComponent },
  { path: ':weddingId/:guestId/games/who-knows-better', component: WhoKnowsBetterQuizComponent },
  { path: ':weddingId/:guestId/games/who-knows-better/results', component: WhoKnowsBetterSummaryComponent },
  { path: ':weddingId/:guestId/presents', component: PresentGuestComponent },
];
