import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'filter',
  standalone: true
})
export class FilterPipe implements PipeTransform {

  transform(value: any[], searchText: string, fields: string[]): any[] {
    if (!value || !searchText) return value;

    searchText = searchText.toLowerCase();

    return value.filter(item => {
      return fields.some(field => {
        const fieldValue = this.getNestedValue(item, field);
        return !!(fieldValue && fieldValue.toString().toLowerCase().includes(searchText));//includes or startsWith
      });
    });
  }

  private getNestedValue(obj: any, path: string): any {
    return path.split('.').reduce((acc, key) => acc && acc[key], obj);
  }

}
