import { Injectable } from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {GuestType} from '../models/guests.type';
import {Observable} from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class ConfirmationGroupService {

  constructor(private http:HttpClient) { }

  getConfirmationGroupGuests(weddingId: string, guestId: string): Observable<GuestType[]> {
    return this.http.get<[GuestType]>(`/api/weddings/${weddingId}/guests/${guestId}/group`)
  }
}
