import {inject, Injectable} from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {Observable} from 'rxjs';
import {HallOfFameType} from '../models/hallOfFame.type';

@Injectable({
  providedIn: 'root'
})
export class HallOfFameService {

  constructor(private http:HttpClient) { }

  getScoreByWeddingId(weddingId: string,guestId:string): Observable<[HallOfFameType]> {
    return this.http.get<[HallOfFameType]>(`/api/weddings/${weddingId}/${guestId}/games/hall`);
  }
}
