import { Injectable } from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {Observable} from 'rxjs';
import {Question} from '../models/whoKnowsBetter.type';
import {WhoKnowsBetterQuizStateType} from '../models/whoKnowsBetterQuizState.type';

@Injectable({
  providedIn: 'root'
})
export class WhoKnowsBetterQuizService {

  constructor(private http:HttpClient) { }

  getQuestion(weddingId: string,guestId: string): Observable<Question>{
      return this.http.get<Question>(
        `/api/wedding/${weddingId}/${guestId}/games/who-knows-better`
      );
  }

  submitAnswer(
    weddingId: string,
    guestId: string,
    answer: 'groom' | 'bride'
  ): Observable<any> {
    const body = { answer };
    return this.http.patch(`/api/wedding/${weddingId}/${guestId}/games/who-knows-better/answer`, body
    );
  }

  getWhoKnowsBetterQuizStateByWeddingId(weddingId: string,guestId:string): Observable<WhoKnowsBetterQuizStateType> {
    return this.http.get<any>(`api/wedding/${weddingId}/${guestId}/games/who-knows-better/state`);
  }

}
